webdevqa.jp.net

.NET 4.5 RCフレームワークCLR-Windows XP互換性

簡単に言えば、「。NET Framework 4.5をWindowsにインストールできますかXPマシン?)」

次のMSDNリンクがあります。

。NET Frameworkのバージョンと依存関係

.NET Frameworkの新しいバージョンごとに、以前のバージョンの機能が保持され、新しい機能が追加されます。 CLRは独自のバージョン番号で識別されます。 .NET Frameworkの一部のバージョンにはCLRの新しいバージョンが含まれていますが、以前のバージョンを使用しているバージョンもあります。たとえば、.NET Framework 4にはCLR 4が含まれていますが、.NET Framework 3.5にはCLR 2.0が含まれています。 (CLRのバージョン3はありませんでした。)。NET Framework 4.5 RCは.NET Framework 4のインプレース更新ですが、基になるCLRバージョン番号は4.5です...

ドキュメントには、.NET Framework 4、.NET Framework 3.5 SP1、.NET Framework 2.0 SP2はWindowsにのみインストールできると記載されていますXP ProfessionalおよびWindows XP = Home Edition(つまり、4.5は言及されていません)。

.NET 4.5がWin XPにインストールできることを他の場所で読んだことがあります。このドキュメントは、4.5RC(最終的な4.5フレームワークではない)を参照しているだけです。

私の問題は、4.5でビルドされたアプリをXPマシンに展開できないことです。Microsoftはサービスパックをリリースしますか?(XPをサポートしていない可能性が高いため)

pSこの件に関するいくつかの興味深い記事:

。NET 4.5は.NET 4.0へのインプレースアップグレードです

。NET 4.5の重大な変更-.NET Framework 4と.NET Framework 4.5 Rの間の互換性の問題

17
astro boy

.NET Frameworkシステム要件のドキュメントを見てから-あなたは運が悪いと思います。

http://msdn.Microsoft.com/en-us/library/8z6watww(v = vs.110).aspx

ドキュメントによると、それがテストマトリックスに含まれていないことは確かです。インストールのサポートは受けられません。インストーラーは、サポートされていないOSを明示的にブロックしないことを前提として動作します。 YMMV。

XPは2014年まで延長サポートされています。このような新機能ではなく、重要なセキュリティ修正のみが表示されます。

http://support.Microsoft.com/lifecycle/search/default.aspx?alpha=Windows+XP

10
stephbu

これで説明したように link いいえ、.NET 4.5はWindows XPではサポートされません。

誰でもWindowsの作成に投票できますXP .net framework 4.5でサポート here

1
AvkashChauhan

Monoを使用するだけ http://www.mono-project.com/Main_Page

XP互換です。

0
Joshua